uniform float     StepSize;
uniform sampler2D NormalMapTex;

void main()
{
    vec2 tc  = gl_TexCoord[0].st;
    vec3 c   = texture2D( NormalMapTex, tc ).rgb;
    vec3 uh  = texture2D( NormalMapTex, tc + vec2( StepSize, 0.0)).rgb;
    vec3 vh  = texture2D( NormalMapTex, tc + vec2( 0.0, StepSize)).rgb;
 
    float du = (uh.r - c.r) + .5;
    float dv = (vh.g - c.g) + .5;

    gl_FragColor = vec4( du, dv, 0.0, 1.0);

}
