uniform float     StepSize;
uniform sampler2D PrevItr;

void main()
{
    vec3 tg = vec3( 1.0, 0.0, 0.0 );
    vec3 bn = vec3( 0.0, 1.0, 0.0 );
    vec3 nm;

    vec2  tc  = gl_TexCoord[0].st;
    float ch = texture2D( PrevItr, tc ).a;
    float uh;
    float vh;
    
    uh = texture2D( PrevItr, tc + vec2( StepSize, 0.0)).a;
    vh = texture2D( PrevItr, tc + vec2( 0.0, StepSize)).a;
 
    tg.z = uh - ch;
    bn.z = vh - ch;
    tg   = normalize(tg);
    bn   = normalize(bn);
    nm   = cross( tg, bn );
    nm = (nm + 1.0) * .5;
    gl_FragColor = vec4( nm, ch);
}
